Safe to Upgrade? (Noob Question)

Discussion in '3DS - Homebrew Development and Emulators' started by JonahRinberg, May 7, 2017.

  1. JonahRinberg
    OP

    JonahRinberg GBAtemp Regular

    Member
    165
    15
    Dec 18, 2016
    United States
    The Homebrew Ocean
    I really want to upgrade to 11.4. Why? Because I wanna smash online.

    So, I recently (and by that I mean a couple months ago) I installed CFW onto my Old 3DS. I installed it on 11.2 and when Nintendo released 11.3, I didn't know what to do. When they released SoundHax 11.3, I upgraded to 11.3 with the new version of SoundHax, and everything worked fine, including all the CFW stuff. This was before they updated the 3DS.guide page to include 11.3 on their list. So now that 11.4 is out, I saw an article saying that SoundHax was patched. But then I saw this video:



    First of all, does SoundHax still work for 11.4 Old 3DS?
    Second of all, will it effect CFW and harm it?
    Third of All, if SoundHax is patched, can I use the DoodleBomb Exploit while CFW still works?

    Sorry if I am a huge idiot about this. I am a novice loser to hacking and modding stuff. I just want to make sure I don't screw up my 3DS.

    (Also, if someone says something wrong, don't worry because I made a Nand.Bin backup.)

    Thanks a lot!
     
  2. nitroBW

    nitroBW warum nicht?

    Member
    754
    683
    Nov 1, 2016
    Germany
    donut piss wasteland
    The payload for o3DS isn't working without CFW already installed, that's it so far. N3DS has a working payload iirc.
    Using Soundhax will only get you into hbl, you can do that with the .cia version if you have CFW, so it doesn't matter and doesn't do any harm.

    I'm not sure, but I guess you already have CFW, so why would you need any Exploit?

    Using any video for anything is stoopid



    Doodlebomb was fixed in the newer versions of swapdoodle btw.
     
    Last edited by nitroBW, May 7, 2017
  3. Pyra

    Pyra GBAtemp Fan

    Member
    306
    154
    May 7, 2017
    United States
    Ohio, USA
    I don't think Soundhax works anymore, iirc, and I haven't looked much into doodlebomb so idk about that.

    Though if you don't update, you can just use ctr-httpwn to go online now with 11.2/11.3. You can't do that anymore in 11.4 though, so if they release an update that breaks CFW after 11.4, then you won't be able to go online anymore without updating.

    Sent from my SM-G360T using Tapatalk
     
  4. nitroBW

    nitroBW warum nicht?

    Member
    754
    683
    Nov 1, 2016
    Germany
    donut piss wasteland
    Unless he downgrades :P
     
  5. JonahRinberg
    OP

    JonahRinberg GBAtemp Regular

    Member
    165
    15
    Dec 18, 2016
    United States
    The Homebrew Ocean
    Yea I know, just hope I will be able to update, as it is tedious to keep launching it over and over.
     
  6. nitroBW

    nitroBW warum nicht?

    Member
    754
    683
    Nov 1, 2016
    Germany
    donut piss wasteland
    Do you have A9LH/ Luma?
     
  7. JonahRinberg
    OP

    JonahRinberg GBAtemp Regular

    Member
    165
    15
    Dec 18, 2016
    United States
    The Homebrew Ocean
    Yea.
     
  8. Pyra

    Pyra GBAtemp Fan

    Member
    306
    154
    May 7, 2017
    United States
    Ohio, USA
    Oyea true, he did make a backup, which gj on that OP.
     
  9. nitroBW

    nitroBW warum nicht?

    Member
    754
    683
    Nov 1, 2016
    Germany
    donut piss wasteland
    Why even care about Soundhax then? If you want to use the Homebrew Launcher you can just install it, and most people don't even need it.
    Luma works on the latest FW, only the HBL on o3DS and NTR have issues.


    Even if he didn't he can just use 3Down afaik
     
  10. JonahRinberg
    OP

    JonahRinberg GBAtemp Regular

    Member
    165
    15
    Dec 18, 2016
    United States
    The Homebrew Ocean
    Actually, wasn't ctr-httpwn patched?
    https://www.reddit.com/r/3dshacks/comments/64s3eb/114_fixed_ctrhttpwn_so_youll_be_forced_to_update/

    — Posts automatically merged - Please don't double post! —

    I have the HBL cia installed. Is that what you mean?
     
  11. nitroBW

    nitroBW warum nicht?

    Member
    754
    683
    Nov 1, 2016
    Germany
    donut piss wasteland
    What do you use Soundhax for/ Why do you care about it?
     
  12. JonahRinberg
    OP

    JonahRinberg GBAtemp Regular

    Member
    165
    15
    Dec 18, 2016
    United States
    The Homebrew Ocean
    I use SoundHax to launch HBL. I dunno if I still need it even though I installed the HBL Launcher. :/
     
  13. nitroBW

    nitroBW warum nicht?

    Member
    754
    683
    Nov 1, 2016
    Germany
    donut piss wasteland
    If you installed the HBL you don't need Soundhax, becuase you literally already have the homebrew launcher.
    Old 3DSes don't have a working payload yet = HBL doesn't work on old 3DS unless you already have CFW, in this case you can use the 11.2 payloads.
    New 3DSes seem to have a working payload.

    Playing Smash Online will still work on 11.4 (Works for me lol)

    Soundhax itself was patched in 11.4, but it wouldn't matter since you already have CFW and HBL installed.
    The only problem would be the payload.
     
  14. JonahRinberg
    OP

    JonahRinberg GBAtemp Regular

    Member
    165
    15
    Dec 18, 2016
    United States
    The Homebrew Ocean
    Ok...

    So does that mean I can update safely?
     
  15. nitroBW

    nitroBW warum nicht?

    Member
    754
    683
    Nov 1, 2016
    Germany
    donut piss wasteland
    Unless you really need something which only works in the HBL or want to use NTR Streaming, you can safely update.
    But before you do so, make a NAND backup if you haven't already made one, because if you change your mind you can still go back.

    I'm on 11.4 and can play Smash 4 online without any problems.
     
    JonahRinberg likes this.
  16. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ ☠️Grunt☠️

    Member
    20,199
    21,559
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    How come no one brought up the clickbait title of the video and the fact that the video was made for 11.2 or that he disabled his comments? This is why you should NEVER trust youtube videos.
    As for the OP, just update your CFW, then your system. All active CFWs work just fine with 11.4
     
    Pyra and nitroBW like this.
  17. JonahRinberg
    OP

    JonahRinberg GBAtemp Regular

    Member
    165
    15
    Dec 18, 2016
    United States
    The Homebrew Ocean
    Thanks a lot!
     
    Pyra likes this.
  18. Pyra

    Pyra GBAtemp Fan

    Member
    306
    154
    May 7, 2017
    United States
    Ohio, USA